import { defineNuxtModule, addComponent } from "@nuxt/kit";
import { resolve } from "path";

export default defineNuxtModule({
  meta: {
    name: "my-module",
    configKey: "myModule",
  },
  setup() {
    // Register the component globally
    addComponent({
      name: "MlArror",
      filePath: resolve(
        __dirname,
        "MlArror.vue",
        "./components/Ml/Accordion/MlAccordionBase.vue",
        "./components/Ml/Button/MlButton.vue"
      ),
    });
  },
});
